#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    float float_eq_const_0_0;
    float float_eq_const_1_0;
    float float_eq_const_2_0;
    float float_eq_const_3_0;
    float float_eq_const_4_0;
    float float_eq_const_5_0;

    if (size < 24)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&float_eq_const_0_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_1_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_2_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_3_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_4_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_5_0, &data[i], 4);
    i += 4;


    if (float_eq_const_0_0 == -5.7431776E19f)
    if (float_eq_const_1_0 == 5.09006E17f)
    if (float_eq_const_2_0 == 1.4243846E-8f)
    if (float_eq_const_3_0 == -2.8236202E-14f)
    if (float_eq_const_4_0 == 1.09465864E8f)
    if (float_eq_const_5_0 == 3.4916293E-4f)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
